PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
plask::BoundaryNodeSetWithMeshImpl< MeshType > Struct Template Reference

Template of base class for boundaries of mesh with given type which store reference to mesh. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::BoundaryNodeSetWithMeshImpl< MeshType >:
[legend]
Collaboration diagram for plask::BoundaryNodeSetWithMeshImpl< MeshType >:
[legend]

## Classes
struct | IteratorWithMeshImpl
| Base class for boundary iterator implementation which contains reference to boundary. More...

## Public Types
typedef BoundaryNodeSetImpl::const_iterator | const_iterator
| iterator over indexes of mesh
typedef BoundaryNodeSetImpl::iterator | iterator
| iterator over indexes of mesh
Public Types inherited from plask::BoundaryNodeSetImpl
typedef PolymorphicForwardIteratorImpl< std::size_t, std::size_t > | IteratorImpl
| Base class for boundary iterator implementation.
typedef PolymorphicForwardIterator< IteratorImpl > | Iterator
| Boundary iterator type.
typedef Iterator | const_iterator
| iterator over indexes of mesh
typedef const_iterator | iterator

## Public Member Functions
| BoundaryNodeSetWithMeshImpl (const MeshType &mesh)
| Construct object which holds reference to given `mesh`.
Public Member Functions inherited from plask::BoundaryNodeSetImpl
virtual | ~BoundaryNodeSetImpl ()
virtual bool | contains (std::size_t mesh_index) const =0
| Check if boundary contains point with given index.
virtual const_iterator | begin () const =0
| Get begin iterator over boundary points.
virtual const_iterator | end () const =0
| Get end iterator over boundary points.
virtual bool | empty () const
| Check if this represents empty set of indexes.
virtual std::size_t | size () const
| Get number of points in this boundary.

## Public Attributes
const MeshType & | mesh
| Held mesh.

## Detailed Description

template<typename MeshType>
struct plask::BoundaryNodeSetWithMeshImpl< MeshType >

Template of base class for boundaries of mesh with given type which store reference to mesh.

Template Parameters

  MeshType | type of mesh Boundaries

Definition at line 156 of file boundary.hpp.

## Member Typedef Documentation

## ◆ const_iterator

template<typename MeshType >

typedef BoundaryNodeSetImpl::const_iterator plask::BoundaryNodeSetWithMeshImpl< MeshType >::const_iterator

iterator over indexes of mesh

Definition at line 159 of file boundary.hpp.

## ◆ iterator

template<typename MeshType >

typedef BoundaryNodeSetImpl::iterator plask::BoundaryNodeSetWithMeshImpl< MeshType >::iterator

iterator over indexes of mesh

Definition at line 162 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ BoundaryNodeSetWithMeshImpl()

template<typename MeshType >

plask::BoundaryNodeSetWithMeshImpl< MeshType >::BoundaryNodeSetWithMeshImpl | ( | const MeshType & | mesh | ) |
| inline

Construct object which holds reference to given `mesh`.

Parameters

  mesh | mesh to hold

Definition at line 171 of file boundary.hpp.

## Member Data Documentation

## ◆ mesh

template<typename MeshType >

const MeshType& plask::BoundaryNodeSetWithMeshImpl< MeshType >::mesh

Held mesh.

Definition at line 165 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp